<?xml version="1.0"?>

<f:view xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:pe="http://primefaces.org/ui/extensions"
	xmlns:ct="http://www.chartistjsf.org/charts"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:pass="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:c="http://java.sun.com/jsp/jstl/core">
	<h:head>
		<h:outputStylesheet library="css" name="acceptedIdeas.css" />
		<h:outputStylesheet library="css" name="w3.css" />

	</h:head>
	<f:metadata>
		<f:event type="preRenderView" listener="#{acceptedIdeasOverviewBean.onPageLoad}" />
	</f:metadata>
	<h:body>
		<div id="accepted-idea-overview-grid" style="height:#{acceptedIdeasOverviewBean.divHeight()}">
			<h:form id="ideaoverviewform">
				<h:panelGroup id="cardgroup">
				<ui:repeat value="#{acceptedIdeasOverviewBean.getIdeas()}" var="entry" varStatus="entryStatus">
					<div class="w3-third w3-container w3-padding-small">
						<div class="w3-card-4" style="cursor: pointer;">
							<div onclick="window.location='#{entry.getPageUrl()}';">
								<ui:fragment rendered="#{acceptedIdeasOverviewBean.showPlaceholder(entry.getIdeasId())}">
									<h:graphicImage name="images/placeholder.jpg"  />
								</ui:fragment>
								<ui:fragment rendered="#{acceptedIdeasOverviewBean.showPicture(entry.getIdeasId())}">
								<img src="#{acceptedIdeasOverviewBean.getTitlePicture(entry.getIdeasId())}"/>
								</ui:fragment>
								<div class="w3-container w3-teal w3-padding">
									<p>#{entry.title}</p>
								</div>
								<h:panelGroup class="w3-container w3-margin-top" style="height: 40px;" id="voteCounterWrapper">
									<h:outputLabel ajax="true"> Stimmen: #{acceptedIdeasOverviewBean.getIdeasRatingCount(entry.getIdeasId())}</h:outputLabel>
								</h:panelGroup>
							</div>
							<footer class="w3-container w3-teal">
								<div class="w3-bar">
									<div class="w3-bar">
										<h:panelGroup id="voteButtonWrapper">
											<p:commandLink rendered="#{acceptedIdeasOverviewBean.showVoteButton(entry.getIdeasId())}" class="w3-bar-item w3-button w3-padding-small w3-border-left w3-border-right"
												style="float: left;" id="acceptedIdeasLikeButton" update="_JSFAcceptedIdeasOverview_WAR_JSFAcceptedIdeasOverview_:ideaoverviewform:j_idt6:#{entryStatus.index}:voteButtonWrapper _JSFAcceptedIdeasOverview_WAR_JSFAcceptedIdeasOverview_:ideaoverviewform:j_idt6:#{entryStatus.index}:voteCounterWrapper" ajax="true" actionListener="#{acceptedIdeasOverviewBean.likeIdea(entry.getIdeasId())}" onclick="setTimeout(function() {PF('confirmVoteDialog').show(); } , 500);">
													Abstimmen
											</p:commandLink>
										</h:panelGroup>

<!-- 										<a class="w3-bar-item w3-button w3-padding-small w3-border-left w3-border-right"
											style="float: right;" href="#{entry.getPageUrl()}">Ansehen</a> -->
									</div>
								</div>
							</footer>
						</div>
					</div>
				</ui:repeat>
				</h:panelGroup>
					<p:dialog header="Ihre Stimme wurde gezählt." modal="false" resizable="false" widgetVar="confirmVoteDialog" minHeight="40">
						<!-- <h:outputText value="Aktualisieren Sie die Seite, um die Änderung zu sehen." /> <br/> -->
						<h:outputText value="Sie können für jedes Projekt nur einmal abstimmen." />
					</p:dialog>
			</h:form>
		</div>
<!-- 		<div class="clearfix">&nbsp;</div> -->
			<div id="content4">
			<div class="col-sm-6">
			<h3>(M)ein Projekt für alle, alle für (m)ein Projekt! – reichen Sie jetzt Ihr Projekt ein!</h3>

			<p style="text-align: justify;">Sie haben eine Idee und möchten daraus ein Projekt für die Bürgerinnen und Bürger Ihrer Stadt entwickeln? Dann erstellen Sie jetzt in nur drei Schritten Ihr eigenes Projekt.</p>
			</div>

			<div class="col-sm-6">
			<div class="button"><a class="btn white" href="/projekt-einreichen">Jetzt eigenes Projekt einreichen</a></div>
			</div>
			</div>
			<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/cookie-bar/cookiebar-latest.min.js?"></script>
	</h:body>
</f:view>